html {
  background-color: #ff950a;
  transition: padding-top 0.5s ease-in-out;
}

#content {
  position: relative;
  /* Ensure there is at least 1px to allow overscroll */
  min-height: calc(100dvh + 1px);
  display: flex;
  flex-direction: column;
  background-color: #4ab4bc;
  background-image: url("data:image/svg+xml,%3Csvg width='80' height='80' viewBox='0 0 80 80' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Cg fill='%23000000' fill-opacity='0.32'%3E%3Cpath d='M50 50c0-5.523 4.477-10 10-10s10 4.477 10 10-4.477 10-10 10c0 5.523-4.477 10-10 10s-10-4.477-10-10 4.477-10 10-10zM10 10c0-5.523 4.477-10 10-10s10 4.477 10 10-4.477 10-10 10c0 5.523-4.477 10-10 10S0 25.523 0 20s4.477-10 10-10zm10 8c4.418 0 8-3.582 8-8s-3.582-8-8-8-8 3.582-8 8 3.582 8 8 8zm40 40c4.418 0 8-3.582 8-8s-3.582-8-8-8-8 3.582-8 8 3.582 8 8 8z' /%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}

.bg-cats {
  background-image: url("/images/cats/background.png");
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}

.bg-cats-gray {
  background-image: url("/images/cats/background-gray.webp");
  background-size: 1000px auto;
  background-attachment: fixed;
  animation: side-scroll linear 20s infinite;
}

@keyframes side-scroll {
  0% {
    background-position: 0px 0px;
  }
  100% {
    background-position: 1000px 0px;
  }
}

.cats-card-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 0;
  opacity: 0.1;
}

.metal {
  background: #1c1c1c;
  background: linear-gradient(31deg,rgba(28, 28, 28, 1) 0%, rgba(117, 117, 117, 1) 100%);
  color: white;
}

.glass {
  background-color: #FFFFFF20;
  color: black;
  backdrop-filter: blur(10px);
}

.glass-dark {
  background-color: #00000020;
  color: white;
  backdrop-filter: blur(10px);
}

main {
  padding: 3rem 0;
}

footer {
  margin-top: auto;
}

.spacer {
  height: 3rem;
}

.card {
  max-width: 1280px !important;
  margin: 0 auto;
  padding: 1.2rem 1.5rem;
}

.card-hero {
    border: 2px solid #000000;
    background: #ff950a;
    background: linear-gradient(120deg, rgba(255, 149, 10, 1) 0%, rgba(243, 150, 28, 1) 33%, rgba(219, 122, 31, 1) 66%, rgba(210, 113, 35, 1) 100%);
}

.logo-container {
  height: 40px;
}

.logo-container img {
  position: relative;
  top: -18px;
}

.hero-buttons {
  width: 120%;
}

@font-face {
  font-family: tekken;
  src: url('/fonts/tarrget.ttf');
}

.navbar, .navbar-brand {
  font-family: tekken, monospace;
  padding: 0;
}

.tekfont{
  font-family: tekken, monospace;
}

.height-text {
  height: 1em;
  vertical-align: middle;
  position: relative;
  top: -0.1em;
  margin-left: 0.4em;
  margin-right: -0.4em;
}

.height-text-start {
  margin-left: -0.4em;
  margin-right: 0.4em;
}

.nav-link {
  padding: 1.4rem 1.5rem !important;
}

.dropdown-item, .nav-link{
  color: black;
  opacity: 1;
  background-color: #ffa50000;
  transition: background-color 0.2s ease;
}

.dropdown-item:hover, .nav-link:hover {
  background-color: #ff950a;
}

.btn-primary {
  --bs-btn-color: #ffffff;
  --bs-btn-bg: #4ab4bc;
  --bs-btn-border-color: #000000;
  --bs-btn-hover-color: #ffffff;
  --bs-btn-hover-bg: #4ab4bc;
  --bs-btn-hover-border-color: #ffffff;
  --bs-btn-focus-shadow-rgb: 49, 132, 253;
  --bs-btn-active-color: #ff950a;
  --bs-btn-active-bg: #4ab4bce1;
  --bs-btn-active-border-color: #000000;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
}

iframe {
  aspect-ratio: calc(16/9);
}

.horizontal-videos {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 1rem;
  justify-content: center;
}

.video-container {
  width: 100%;
  max-width: 500px !important;
  margin: 0 !important;
}


.relative {
  position: relative;
  overflow: hidden;
}
.bg-hover {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  height: 0%;
  transition: height 0.4s ease-in-out;
}

*:hover > .bg-hover {
  height: 100%;
}

.image-link-container {
  display: flex;
  gap: 1rem;
  flex-wrap: nowrap;
  overflow-x: auto;
}

.image-link {
  flex-shrink: 0;
  width: 200px;
  background-color: #000000;
  background-position: center;
  background-repeat: no-repeat;
  background-size: auto 100%;
  display: block;
  aspect-ratio: calc(7/9);
  transition: background-size 0.5s ease-in-out;
  box-shadow: 10px 10px 10px #0000004c;
}

.image-link:hover {
  background-size: auto 110%;
  transition: background-size 0.2s ease-in-out;
}

.hfont {
  color: black; 
  text-shadow: 
    -1px -1px 0 #FFF,  
     1px -1px 0 #FFF,
    -1px  1px 0 #FFF,
     1px  1px 0 #FFF,
     0 0 15px #ff950a;
}

.tekken-hero {
  display: block;
  height: 500px;
  position: relative;
  text-decoration: none;
  border-radius: 0.5rem;
}

.tekken-hero-glow {
  content: "";
  position: absolute;
  top: -1px;
  right: -1px;
  left: -1px;
  bottom: -1px;
  border-radius: 0.6rem;
  background: linear-gradient(90deg,rgba(222, 65, 69, 1) 0%, rgba(33, 117, 232, 1) 100%);
  filter: blur(0px);
  z-index: 0;
  transition: all 0.8s ease-in;
}

.tekken-hero:hover .tekken-hero-glow {
  top: -10px;
  right: -10px;
  left: -10px;
  bottom: -10px;
  border-radius: 1rem;
  filter: blur(20px);
  transition: all 0.2s ease-out;
}

.tekken-hero-radius {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  border-radius: 0.5rem;
}

.tekken-hero-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: black;
  background-image: url(/images/tekken-hero.webp);
  background-size: auto 100%;
  background-position: center;
  transition: all 0.8s ease-in;
}

.tekken-hero:hover .tekken-hero-image {
  background-size: auto 110%;
  transition: all 0.2s ease-out;
}

.tekken-hero-header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  padding: 0.5rem 1rem;
  font-size: 1.4rem;
  color: #ffffff;
  background: #000000;
  background: linear-gradient(180deg,rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.2) 100%);
}

.tekken-hero-footer {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 1rem;
  color: white;
  background: linear-gradient(0deg,rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.2) 100%);
}

.tekken-hero-footer-title {
  font-weight: bold;
  font-size: 1.3rem;
  opacity: 1;
}

.tekken-hero-footer-subtitle {
  font-size: 0.9rem;
  opacity: 0.7;
}

.text-large {
  font-size: 5rem;
  text-align: center;
}

@media screen and (max-width: 991px) {
  .navbar {
    padding: 1rem;
  }

  .navbar-brand {
    margin: auto;
  }

  .hero-buttons {
    width: 100%;
  }

  .tekken-hero {
    height: 300px;
  }

  .text-large {
    font-size: 2rem;
  }

  .logo-container {
    margin-left: 3em;
  }
}

.glowing-image {
  filter: drop-shadow(0 0 15px #c73cd7);
  transition: all 0.3s ease-in-out;
}

.glowing-image:hover {
  filter: drop-shadow(0 0 50px #c73cd7);
}

.stream-button {
  background-color: currentColor;
}
